# Uses of Interface
org.springframework.expression.TypeComparator

Packages that use TypeComparator
Package
Description
org.springframework.expression
Core abstractions behind the Spring Expression Language.
org.springframework.expression.spel
SpEL's central implementation package.
org.springframework.expression.spel.support
SpEL's default implementations for various core abstractions.

## Uses of TypeComparator in org.springframework.expression

Methods in org.springframework.expression that return TypeComparator
Modifier and Type
Method
Description
`TypeComparator`
EvaluationContext.`getTypeComparator()`
Return a type comparator for comparing pairs of objects for equality.

## Uses of TypeComparator in org.springframework.expression.spel

Methods in org.springframework.expression.spel that return TypeComparator
Modifier and Type
Method
Description
`TypeComparator`
ExpressionState.`getTypeComparator()`

## Uses of TypeComparator in org.springframework.expression.spel.support

Classes in org.springframework.expression.spel.support that implement TypeComparator
Modifier and Type
Class
Description
`class`
`StandardTypeComparator`
A basic `TypeComparator` implementation: supports comparison of `Number` types as well as types implementing `Comparable`.
Methods in org.springframework.expression.spel.support that return TypeComparator
Modifier and Type
Method
Description
`TypeComparator`
SimpleEvaluationContext.`getTypeComparator()`
Return an instance of `StandardTypeComparator`.
`TypeComparator`
StandardEvaluationContext.`getTypeComparator()`
Methods in org.springframework.expression.spel.support with parameters of type TypeComparator
Modifier and Type
Method
Description
`void`
StandardEvaluationContext.`setTypeComparator(TypeComparator typeComparator)`